package com.pcloud.book.es.biz;

import com.pcloud.book.es.entity.ESNews;
import com.pcloud.book.push.entity.News;

import java.util.List;

public interface ESNewsBiz {
    /**
     * 将所有的新闻新增到es，初始化
     */
    void addAllNewsToES();

    /**
     * 新增新闻
     */
    void addNews(News news);

    /**
     * 查询新闻
     */
    List<ESNews> getNews(String title, List<Long> notInIds, Integer top);
}
